gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gdk.CapStyleGType)) Determines how the end of lines are drawn. None.
- Field
  2.12.0.0
  Gdk.CapStyle The ends of the lines are drawn squared off and extending to the coordinates of the end point.
- Field
  2.12.0.0
  Gdk.CapStyle The same as Butt for lines of non-zero width. For zero width lines, the final point on the line will not be drawn.
- Field
  2.12.0.0
  Gdk.CapStyle The ends of the lines are drawn squared off and extending half the width of the line beyond the end point.
- Field
  2.12.0.0
  Gdk.CapStyle The ends of the lines are drawn as semicircles with the diameter equal to the line width and centered at the end point.